// Spoc test

module spoc_test(
	clk, TxD
//	spoc_ExecuteOpcode_Done, spoc_WriteData, spoc_WriteEnable, spoc_ReadData, spoc_WriteAddress, spoc_ReadAddress
);
input clk;
output TxD;

//output spoc_ExecuteOpcode_Done, spoc_WriteData, spoc_WriteEnable, spoc_ReadData;  output [15:0] spoc_WriteAddress, spoc_ReadAddress;

wire spoc_ExecuteOpcode_Done, spoc_WriteData, spoc_WriteEnable, spoc_ReadData;
wire [15:0] spoc_WriteAddress, spoc_ReadAddress;
spoc spoc1(
	.clk(clk), .ExecuteOpcode_Enable(1'b1), .ExecuteOpcode_Done(spoc_ExecuteOpcode_Done), 
	.WriteAddress(spoc_WriteAddress), .WriteData(spoc_WriteData), .WriteEnable(spoc_WriteEnable), 
	.ReadAddress(spoc_ReadAddress), .ReadData(spoc_ReadData)
);

reg TxD_start;
reg [7:0] TxD_data;
wire TxD_busy;
async_transmitter asyncTX(.clk(clk), .TxD_start(TxD_start), .TxD_data(TxD_data), .TxD(TxD), .TxD_busy(TxD_busy));

always @(posedge clk) if(spoc_WriteEnable) TxD_data[spoc_WriteAddress[2:0]] <= spoc_WriteData;
always @(posedge clk) TxD_start <= spoc_WriteEnable & spoc_WriteAddress[2:0]==3'h7;
assign spoc_ReadData = TxD_busy;

endmodule